export class TimeTrackingUserSettingForCreation {
    constructor(props: TimeTrackingUserSettingForCreation) {
        Object.assign(this, props);
    }

    instanceId!: number;
    userId!: number;
    kioskPin!: string | null;
}

export class TimeTrackingUserSetting extends TimeTrackingUserSettingForCreation {
    constructor(props: TimeTrackingUserSetting) {
        super(props);
        Object.assign(this, props);
    }

    id!: number;
    createdAt: Date | null = null;
    updatedAt: Date | null = null;
}

export class TimeTrackingUserSettingWithKioskPolicy extends TimeTrackingUserSetting {
    constructor(props: TimeTrackingUserSettingWithKioskPolicy) {
        super(props);
        this.hasKioskEnabledPolicy = props.hasKioskEnabledPolicy;
    }

    hasKioskEnabledPolicy!: boolean;
}
